57
Validation results

Creta

Creta

WordPress 4.9.8 theme
57
    Error 8 : Undefined index: slug
    In /home/www/themecheck/themecheck/controllers/controller_results.php line 772
  • THEME TYPEWordPress theme 4.9.8
  • FILE NAMEcreta.zip
  • FILE SIZE3062627 bytes
  • MD592067e65f4b840dc829cd1f9085951ab
  • SHA11b2186e218d638acb65a2c76c21f1768fba312e5
  • LICENSEGNU GPL 2
  • FILES INCLUDEDCSS, PHP, Bitmap images
  • THEMEFOREST PAGEhttp://themeforest.net/item/creta-multipurpose-woocommerce-theme/15113785 ($59)
  • VERSION1.0
  • TAGSblack, red, two-columns, left-sidebar, fixed-layout, responsive-layout, accessibility-ready, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, microformats, post-formats, rtl-language-support, sticky-post, thread
  • CREATION DATE2016-02-27
  • LAST FILE UPDATE2017-03-06
  • LAST VALIDATION2017-03-06 17:53
  • OTHER VERSIONS

    2.9 : 79%

    2.8 : 99%

    2.7 : 99%

    2.3 : 99%

    2.2 : 99%

    1.1 : 78%

Critical alerts
  1. Admin menu : Themes should use add_theme_page() for adding admin pages. File class-tgm-plugin-activation.php :
    Ligne646: $this->page_hook = call_user_func( 'add_{$type}_page', $args['parent_slug'], $args['page_title'], $args['menu_t
    File reduxConfig.php :
    Ligne1243: // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
  2. Deprecated functions : get_currentuserinfo get_currentuserinfo found in file functions.php. Deprecated since version 4.5. Use wp_get_current_user instead.
    Ligne56: get_currentuserinfo();
Warning
  1. theme tags : Presence of bad theme tagsThe tag black has been deprecated, it must be removed from style.css header.The tag red has been deprecated, it must be removed from style.css header.The tag fixed-layout has been deprecated, it must be removed from style.css header.The tag responsive-layout has been deprecated, it must be removed from style.css header.Themes that use the tag accessibility-ready will need to undergo an accessibility review.
    See https://make.wordpress.org/themes/handbook/review/accessibility/
  2. Text domain : Incorrect use of translation functions.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Begin installing plugin', 'Begin installing plugins' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Begin activating plugin', 'Begin activating plugins' in file install-required.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'woocommerce' in file cart-totals.php.Found a translation function that is missing a text-domain. Function esc_html__, with the arguments 'No products found' in file functions.php.More than one text-domain is being used in this theme. This means the theme will not be compatible with WordPress.org language packs. The domains found are creta, woocommerce, tgmpa, magikcommerce, Creta, electra.
  3. Screenshot : Screenshot fileScreenshot size is 600x450px. Screenshot size should be 1200x900, to account for HiDPI displays. Any 4:3 image size is acceptable, but 1200x900 is preferred.Bad screenshot file extension ! File screenshot.png is not an actual JPG file. Detected type was : "image/png".
Tip-off
  1. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  2. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  3. Optional files : Presence of home template file home.phpThis theme does not contain optional file home.php.
  4. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  5. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  6. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  7. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  8. Use of includes : Use of include or requireThe theme appears to use include or require : install-required.php
    Ligne2: require_once (trailingslashit( get_template_directory()). '/includes/tgm_ac
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : reduxActivate.php
    Ligne6: require_once( dirname( __FILE__ ) . '/ReduxFramework/ReduxCore/framework.ph
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : reduxConfig.php
    Ligne839: 
    Ligne848: 
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : mgk_framework.php
    Ligne6: require_once(MAGIKCRETA_THEME_PATH . '/includes/layout.php');
    Ligne7: require_once(MAGIKCRETA_THEME_PATH . '/core/resize.php');
    Ligne8: require_once(MAGIKCRETA_THEME_PATH . '/includes/mgk_menu.php');
    Ligne9: require_once(MAGIKCRETA_THEME_PATH . '/includes/widget.php');
    Ligne10: require_once(MAGIKCRETA_THEME_PATH . '/includes/mgk_widget.php');
    Ligne11: require_once(MAGIKCRETA_THEME_PATH .'/core/social_share.php');
    Ligne18: require_once (trailingslashit( get_template_directory()). '/skins/' . $cret
    Ligne20: require_once (trailingslashit( get_template_directory()). '/skins/default/f
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : footer.php
    Ligne89: require_once(MAGIKCRETA_THEME_PATH .'/menu_panel.php');
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : footer.php
    Ligne40: require_once(MAGIKCRETA_THEME_PATH .'/menu_panel.php');?>
    Ligne128: require_once(MAGIKCRETA_THEME_PATH .'/menu_panel.php');
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.

This is a ThemeForest theme. Since Themeforest items are all checked by a human before they appear on their website, ThemeForest verification rules are more permissive than themecheck's and can give a better verification score ( Themeforest requirements ).

77
    Error 8 : Undefined index: slug
    In /home/www/themecheck/themecheck/controllers/controller_results.php line 772
  • THEME TYPEWordPress theme 4.9.8
  • FILE NAMEcreta.zip
  • FILE SIZE3062627 bytes
  • MD592067e65f4b840dc829cd1f9085951ab
  • SHA11b2186e218d638acb65a2c76c21f1768fba312e5
  • LICENSEGNU GPL 2
  • FILES INCLUDEDCSS, PHP, Bitmap images
  • THEMEFOREST PAGEhttp://themeforest.net/item/creta-multipurpose-woocommerce-theme/15113785 ($59)
  • VERSION1.0
  • TAGSblack, red, two-columns, left-sidebar, fixed-layout, responsive-layout, accessibility-ready, custom-background, custom-colors, custom-header, custom-menu, editor-style, featured-images, microformats, post-formats, rtl-language-support, sticky-post, thread
  • CREATION DATE2016-02-27
  • LAST FILE UPDATE2017-03-06
  • LAST VALIDATION2017-03-06 17:53
  • OTHER VERSIONS

    2.9 : 79%

    2.8 : 99%

    2.7 : 99%

    2.3 : 99%

    2.2 : 99%

    1.1 : 78%

Critical alerts
  1. Deprecated functions : get_currentuserinfo get_currentuserinfo found in file functions.php. Deprecated since version 4.5. Use wp_get_current_user instead.
    Ligne56: get_currentuserinfo();
Warning
  1. theme tags : Presence of bad theme tagsThe tag black has been deprecated, it must be removed from style.css header.The tag red has been deprecated, it must be removed from style.css header.The tag fixed-layout has been deprecated, it must be removed from style.css header.The tag responsive-layout has been deprecated, it must be removed from style.css header.Themes that use the tag accessibility-ready will need to undergo an accessibility review.
    See https://make.wordpress.org/themes/handbook/review/accessibility/
  2. Text domain : Incorrect use of translation functions.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Begin installing plugin', 'Begin installing plugins' in file install-required.php.Found a translation function that is missing a text-domain. Function _n_noop, with the arguments 'Begin activating plugin', 'Begin activating plugins' in file install-required.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'woocommerce' in file cart-totals.php.Found a translation function that is missing a text-domain. Function esc_html__, with the arguments 'No products found' in file functions.php.More than one text-domain is being used in this theme. This means the theme will not be compatible with WordPress.org language packs. The domains found are creta, woocommerce, tgmpa, magikcommerce, Creta, electra.
  3. Screenshot : Screenshot fileScreenshot size is 600x450px. Screenshot size should be 1200x900, to account for HiDPI displays. Any 4:3 image size is acceptable, but 1200x900 is preferred.Bad screenshot file extension ! File screenshot.png is not an actual JPG file. Detected type was : "image/png".
Tip-off
  1. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  2. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  3. Optional files : Presence of home template file home.phpThis theme does not contain optional file home.php.
  4. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  5. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  6. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  7. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  8. Use of includes : Use of include or requireThe theme appears to use include or require : install-required.php
    Ligne2: require_once (trailingslashit( get_template_directory()). '/includes/tgm_ac
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : reduxActivate.php
    Ligne6: require_once( dirname( __FILE__ ) . '/ReduxFramework/ReduxCore/framework.ph
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : reduxConfig.php
    Ligne839: 
    Ligne848: 
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : mgk_framework.php
    Ligne6: require_once(MAGIKCRETA_THEME_PATH . '/includes/layout.php');
    Ligne7: require_once(MAGIKCRETA_THEME_PATH . '/core/resize.php');
    Ligne8: require_once(MAGIKCRETA_THEME_PATH . '/includes/mgk_menu.php');
    Ligne9: require_once(MAGIKCRETA_THEME_PATH . '/includes/widget.php');
    Ligne10: require_once(MAGIKCRETA_THEME_PATH . '/includes/mgk_widget.php');
    Ligne11: require_once(MAGIKCRETA_THEME_PATH .'/core/social_share.php');
    Ligne18: require_once (trailingslashit( get_template_directory()). '/skins/' . $cret
    Ligne20: require_once (trailingslashit( get_template_directory()). '/skins/default/f
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : footer.php
    Ligne89: require_once(MAGIKCRETA_THEME_PATH .'/menu_panel.php');
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : footer.php
    Ligne40: require_once(MAGIKCRETA_THEME_PATH .'/menu_panel.php');?>
    Ligne128: require_once(MAGIKCRETA_THEME_PATH .'/menu_panel.php');
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
Other checked themes